org.eclipse.viatra.dse.util

## Class EMFHelper.MetaModelElements

- java.lang.Object
- - org.eclipse.viatra.dse.util.EMFHelper.MetaModelElements

- Enclosing class:
    EMFHelper

      public static class EMFHelper.MetaModelElements
      extends java.lang.Object

  This class is used to store
  - `EClass`es,
  - `EAttribute`s,
  - `EReference`s,
  - EAttributes by EClasses,
  - EReferences by EClasses
  for a given set of `EPackage`s.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<org.eclipse.emf.ecore.EAttribute>` | `attributes`
    `java.util.Map<org.eclipse.emf.ecore.EClass,java.util.Set<org.eclipse.emf.ecore.EAttribute>>` | `attributesOfClass`
    `java.util.Set<org.eclipse.emf.ecore.EClass>` | `classes`
    `java.util.Set<org.eclipse.emf.ecore.EPackage>` | `metaModelPackages`
    `java.util.Set<org.eclipse.emf.ecore.EReference>` | `references`
    `java.util.Map<org.eclipse.emf.ecore.EClass,java.util.Set<org.eclipse.emf.ecore.EReference>>` | `referencesOfClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaModelElements()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metaModelPackages

          public java.util.Set<org.eclipse.emf.ecore.EPackage> metaModelPackages

    - #### classes

          public java.util.Set<org.eclipse.emf.ecore.EClass> classes

    - #### attributes

          public java.util.Set<org.eclipse.emf.ecore.EAttribute> attributes

    - #### references

          public java.util.Set<org.eclipse.emf.ecore.EReference> references

    - #### attributesOfClass

          public java.util.Map<org.eclipse.emf.ecore.EClass,java.util.Set<org.eclipse.emf.ecore.EAttribute>> attributesOfClass

    - #### referencesOfClass

          public java.util.Map<org.eclipse.emf.ecore.EClass,java.util.Set<org.eclipse.emf.ecore.EReference>> referencesOfClass

  - ### Constructor Detail

    - #### MetaModelElements

          public MetaModelElements()